# Visualization
TKService
Viewer

# Viewer_View Class Reference

This class defines a view.
.

`#include <Viewer_View.hxx>`

Inheritance diagram for Viewer_View:

[legend]

## Public Member Functions

virtual Standard_EXPORT void | Update () const =0
| Clears the window and redraws all primitives. .
Standard_EXPORT Standard_Boolean | SetImmediateUpdate (const Standard_Boolean onoff)
| sets the immediate update mode and returns the previous one.
virtual Standard_EXPORT void | WindowFit (const Standard_Integer Xmin, const Standard_Integer Ymin, const Standard_Integer Xmax, const Standard_Integer Ymax)=0
| Centres the defined pixel window defined by the minimum and maximum pixels Xmin, Ymin, Xmax, Ymax so that it occupies the largest possible space while maintaining the initial height/width ratio. Exceptions Viewer_BadValue if the size of the defined projection window is equal to 0. .
virtual Standard_EXPORT void | Place (const Standard_Integer x, const Standard_Integer y, const Quantity_Factor aZoomFactor=1)=0
| Sets the center of the object space defined by x, y and the zoom factor aZoomFactor. The view is updated. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | Viewer_View ()
Standard_EXPORT void | ImmediateUpdate () const

## Protected Attributes

Standard_Boolean | myImmediateUpdate

## Constructor & Destructor Documentation

Standard_EXPORT Viewer_View::Viewer_View | ( |  | ) | `[protected]`

## Member Function Documentation

Standard_EXPORT const Viewer_View::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in V2d_View, V3d_OrthographicView, V3d_PerspectiveView, and V3d_View.

Standard_EXPORT void Viewer_View::ImmediateUpdate | ( |  | ) | const`[protected]`

virtual Standard_EXPORT void Viewer_View::Place | ( | const Standard_Integer | x,
|  | const Standard_Integer | y,
|  | const Quantity_Factor | aZoomFactor = `1`
| ) | `[pure virtual]`

| Implemented in V2d_View, and V3d_View.

Standard_EXPORT Standard_Boolean Viewer_View::SetImmediateUpdate | ( | const Standard_Boolean | onoff | ) |

virtual Standard_EXPORT void Viewer_View::Update | ( |  | ) | const`[pure virtual]`

| Implemented in V2d_View, and V3d_View.

virtual Standard_EXPORT void Viewer_View::WindowFit | ( | const Standard_Integer | Xmin,
|  | const Standard_Integer | Ymin,
|  | const Standard_Integer | Xmax,
|  | const Standard_Integer | Ymax
| ) | `[pure virtual]`

| Implemented in V2d_View, and V3d_View.

## Field Documentation

Standard_Boolean Viewer_View::myImmediateUpdate `[protected]`

The documentation for this class was generated from the following file:

- Viewer_View.hxx